<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Customers</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="../../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">

</head>

<body>

<form th:replace="fragments/navbar.html :: navbar"></form>

<form th:replace="fragments/navbar.html :: sidebar"></form>

<main id="main" class="main">

  <div class="pagetitle">
    <h1>Customers</h1>
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a th:href="@{/}">Home</a></li>
        <li class="breadcrumb-item"><a th:href="@{/customers}">Customers</a></li>
      </ol>
    </nav>
  </div><!-- End Page Title -->

  <!-- Customers Section -->
  <div class="col-12">
    <div class="card recent-sales overflow-auto">

      <div class="card-body">
        <br>
        <div th:unless="${#httpServletRequest.getParameter('success') == null}"
             class="alert alert-success alert-dismissible fade show" role="alert">
          <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('success')}"></i>
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div><!-- Success -->
        <div th:unless="${#httpServletRequest.getParameter('error') == null}"
             class="alert alert-danger alert-dismissible fade show" role="alert">
          <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('error')}"></i>
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div><!-- Error -->
        <h5 class="card-title">Users <span>| Status</span></h5>
        <table th:if="isEmployee" class="table datatable">
          <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Username</th>
            <th scope="col">Full Name</th>
            <th scope="col">Email</th>
            <th scope="col">Last Login</th>
            <th scope="col">Status</th>
            <th scope="col">Actions</th>
          </tr>
          </thead>
          <tbody>
          <tr th:each="customer:${customers}">
            <th scope="row">
              <a th:href="@{/customers/{userId}(userId=${customer.userId})}"
                 class="text-primary" th:text="${customerStat.count}">1</a></th>
            <td th:text="${customer.userName}">b.jacob</td>
            <td th:text="${customer.firstName + ' ' + customer.lastName}">Brandon Jacob</td>
            <td class="text-primary"><a th:href="@{/customers/{userId}(userId=${customer.userId})}"
                                        th:text="${customer.email}">b.jacob@example.com</a></td>
            <td th:unless="${customer.lastLoginDateDisplay == null}"
                th:text="${#dates.format(customer.lastLoginDateDisplay,'dd.MM.yyyy')}"></td>
            <td th:if="${customer.lastLoginDateDisplay == null}">N/A</td>
            <td th:if="${!customer.isEnabled() && customer.lastLoginDateDisplay == null}"><span class="badge bg-secondary">Unverified</span></td>
            <td th:if="${!customer.isEnabled() && customer.lastLoginDateDisplay != null}"><span class="badge bg-danger">Disabled</span></td>
            <td th:if="${customer.isEnabled()}"><span class="badge bg-success">Enabled</span></td>
            <td>
              <div class="row">
                <form class="col-md-4 col-lg-4" th:if="${customer.isEnabled()}"
                      th:action="@{/customers/{userId}/disable(userId=${customer.userId})}" method="post">
                  <button
                      th:data-confirm-disable="|Are you sure you want to disable this customer ${customer.userName}?|"
                      onclick="if (!confirm(this.getAttribute('data-confirm-disable'))) return false"
                      class="btn btn-outline-danger" type="submit"><i class="bx bxs-lock-alt"
                                                                      style="font-size: 125%"></i></button>
                </form>
                <form class="col-md-4 col-lg-4"
                      th:if="${!customer.isEnabled() && customer.lastLoginDateDisplay != null}"
                      th:action="@{/customers/{userId}/enable(userId=${customer.userId})}" method="post">
                  <button th:data-confirm-enable="|Are you sure you want to enable this customer ${customer.userName}?|"
                          onclick="if (!confirm(this.getAttribute('data-confirm-enable'))) return false"
                          class="btn btn-outline-success" type="submit"><i class="bx bxs-lock-open-alt"
                                                                           style="font-size: 125%"></i></button>
                </form>
                <form class="col-md-3 col-lg-4"
                      th:if="${!customer.isEnabled() && customer.lastLoginDateDisplay == null}"
                      th:action="@{/customers/{userId}/new/token(userId=${customer.userId})}" method="post">
                  <button
                      th:data-confirm-enable="|Are you sure you want to send new token to the customer ${customer.userName}?|"
                      onclick="if (!confirm(this.getAttribute('data-confirm-enable'))) return false"
                      class="btn btn-outline-primary" type="submit"><i class="bx bx-mail-send"
                                                                       style="font-size: 125%"></i></button>
                </form>
                <form class="col-md-3 col-lg-4"
                      th:if="${customer.isEnabled()}" th:action="@{/password/token}" method="post">
                  <input class="visually-hidden" name="email" th:value="${customer.email}">
                  <button
                      th:data-confirm-disable="|Are you sure you want to send new password token to this customer ${customer.userName}?|"
                      onclick="if (!confirm(this.getAttribute('data-confirm-disable'))) return false"
                      class="btn btn-outline-primary"
                      type="submit"><i class="bx bx-key" style="font-size: 125%"></i></button>
                </form>
              </div>
            </td>
          </tr>
          </tbody>
        </table>

      </div>

    </div>
  </div><!-- End Customers Section -->
</main><!-- End #main -->

<!-- ======= Footer ======= -->
<footer id="footer" class="footer">
  <div class="copyright">
    &copy; Copyright <strong><span>NiceAdmin</span></strong>. All Rights Reserved
  </div>
  <div class="credits">
    <!-- All the links in the footer should remain intact. -->
    <!-- You can delete the links only if you purchased the pro version. -->
    <!-- Licensing information: https://bootstrapmade.com/license/ -->
    <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/ -->
    Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
  </div>
</footer><!-- End Footer -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{../js/main.js}"></script>

</body>

</html>